package com.cesgroup.common.utils;

import lombok.Getter;

@Getter
public enum TypeEnum {

	AM("AM", "亚美尼亚 "), AP("AP", "非洲地区知"), AR("AR", "阿根廷   "), AU("AU", "澳大利亚 "), AT("AT", "奥地利   "), BA("BA", "波斯尼亚和"),
	BE("BE", "比利时   "), BG("BG", "保加利亚 "), BR("BR", "巴西     "), BY("BY", "白俄罗斯 "), CA("CA", "加拿大   "),
	CL("CL", "智利     "), CO("CO", "哥伦比亚 "), CR("CR", "哥斯达黎加"), CS("CS", "捷克斯洛伐"), CU("CU", "古巴     "),
	CY("CY", "塞浦路斯 "), CZ("CZ", "捷克共和国"), DK("DK", "丹麦     "), DO("DO", "多米尼加共"), DZ("DZ", "阿尔及利亚"), EA("EA", "欧亚专利局"),
	EC("EC", "厄瓜多尔 "), EE("EE", "爱沙尼亚 "), EG("EG", "埃及     "), ES("ES", "西班牙   "), FI("FI", "芬兰     "),
	GC("GC", "海湾地区阿员会专利局（GCC）"), GE("GE", "格鲁吉   "), GR("GR", "希腊     "), GT("GT", "危地马拉 "), MO("MO", "中国澳门 "),
	HN("HN", "洪都拉斯 "), HR("HR", "克罗地亚 "), HU("HU", "匈牙利   "), ID("ID", "印度尼西亚"), IE("IE", "爱尔兰   "), IL("IL", "以色列   "),
	IN("IN", "印度     "), IS("IS", "冰岛     "), IT("IT", "意大利   "), JO("JO", "约旦     "), KE("KE", "肯尼亚   "),
	KG("KG", "吉尔吉斯斯"), KZ("KZ", "哈萨克斯坦"), LT("LT", "立陶宛   "), LU("LU", "卢森堡   "), LV("LV", "拉脱维亚 "), MA("MA", "摩洛哥   "),
	MC("MC", "摩纳哥   "), MD("MD", "摩尔多瓦共"), ME("ME", "黑山     "), MN("MN", "蒙古     "), MT("MT", "马耳他   "),
	MW("MW", "马拉维墨西"), MX("MX", "墨西哥   "), MY("MY", "马来西亚 "), NI("NI", "尼加拉瓜 "), NL("NL", "荷兰     "),
	NO("NO", "挪威     "), NZ("NZ", "新西兰   "), OA("OA", "非洲知识产"), PA("PA", "巴拿马   "), PE("PE", "秘鲁     "),
	PH("PH", "菲律宾   "), PL("PL", "波兰     "), PT("PT", "葡萄牙   "), RO("RO", "罗马尼亚 "), RS("RS", "塞尔维亚 "),
	SE("SE", "瑞典     "), SI("SI", "斯洛文尼亚"), SG("SG", "新加坡   "), SK("SK", "斯洛伐克 "), SM("SM", "圣马力诺 "),
	SU("SU", "前苏联   "), SV("SV", "萨尔瓦多 "), TH("TH", "泰国     "), TJ("TJ", "塔吉克斯坦"), TN("TN", "突尼斯   "),
	TR("TR", "土耳其   "), TT("TT", "特立尼达和"), UA("UA", "乌克兰   "), UY("UY", "乌拉圭   "), UZ("UZ", "乌兹别克斯"),
	VN("VN", "越南     "), YU("YU", "南斯拉夫 "), ZA("ZA", "南非     "), ZM("ZM", "赞比亚   "), ZW("ZW", "津巴布韦 "),
	WO("WO", "世界知识产"), CN("CN", "中国     "), JP("JP", "日本     "), GB("GB", "英国     "), DE("DE", "德国     "),
	CH("CH", "瑞士     "), US("US", "美国     "), KR("KR", "韩国     "), FR("FR", "法国     "), RU("RU", "俄罗斯   "),
	EP("EP", "欧洲专利局"), HK("HK", "中国香港 "), TW("TW", "中国台湾 ");

	private String code;

	private String message;

	TypeEnum(String code, String message) {
		this.code = code;
		this.message = message;
	}

	/**
	 * @param code
	 * @return
	 */
	public static TypeEnum parse(String code) {
		TypeEnum[] values = values();
		for (TypeEnum value : values) {
			if (value.getCode().equals(code) ) {
				return value;
			}
		}
		return null;
	}

}
